curl --request GET \
--url https://app.aiinsurance.io/api/v1/external/companies/{companyId}/events/configuration \
--header 'Authorization: <api-key>'import requests
url = "https://app.aiinsurance.io/api/v1/external/companies/{companyId}/events/configuration"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.aiinsurance.io/api/v1/external/companies/{companyId}/events/configuration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fields": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"eventType": {
"type": "string",
"title": "eventType"
},
"eventCoverageType": {
"type": "string",
"title": "eventCoverageType"
},
"eventInsureds": {
"type": "object",
"title": "eventInsureds"
},
"lossDescription": {
"type": "string",
"title": "lossDescription"
},
"lossDate": {
"type": "string",
"title": "lossDate"
}
},
"required": [
"eventType",
"eventCoverageType",
"eventInsureds"
]
}
}Get Event Configuration
Returns a JSON Schema describing the fields available for creating or updating Field Model V1 events.
The fields schema is a standard JSON Schema (draft 2020-12) that can be
used directly with validation libraries like Ajv or Zod. The required
array lists fields that must be provided when creating or updating an
event.
Required permission: company.event:export
Authorizations
API key authentication. Include your API key in the Authorization header.
Path Parameters
Company identifier
Response
Configuration for event fields
Configuration response for Field Model V1 events. Returns a JSON Schema describing the fields available for creating or updating events.
JSON Schema (draft 2020-12) describing the valid fields for the
event request body. Each property corresponds to a field
referenceId in the company's configuration.
Show child attributes
Show child attributes
Was this page helpful?
